Bug 1292583 - kernel-4.2.7 clickpad click not working since update to 4.2.7
kernel-4.2.7 clickpad click not working since update to 4.2.7
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Tissoires
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-12-17 15:36 EST by Piotr Popieluch
Modified: 2016-01-04 04:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-04 04:44:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-12-17 15:36:33 EST
Description of problem:

Since updating to 4.2.7 the click function of my touchpad works really bad. Clicks are not recognized. 'Click+keep pressing' to move windows also doesn't work which makes my touchpad useless. Note that tapping still works. 

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. click with touchpad

Actual results:

nothing happens.

Expected results:

click event, like focus window.

Additional info:

This is on Dell XPS 13 9333, I suspect this be caused by this patch, introduced in 4.2.7:
Comment 1 Piotr Popieluch 2015-12-17 15:43:30 EST
The patch is introduced in bug #1287819
Comment 2 Benjamin Tissoires 2015-12-17 16:57:10 EST
Sigh, I was sure this patch would not have this kind of side effects.

I have asked the question upstream, but it would be interesting to also check the raw data before deciding what to do with the patch:

Could you attach a hid-recorder[1] output of your touchpad while doing:
- single finger move (and click)
- then 2 fingers move (please drop fingers 1, 2 and then release 1, 2 in the same order, this catches bugs sometimes)
- for fun, put as many fingers as you can :)

[1] project hid-replay, http://bentiss.github.io/hid-replay-docs/
Comment 3 Piotr Popieluch 2015-12-18 02:33:02 EST
I'm confused this was 100% reproducible yesterday (rebooted multiple times between 4.2.6 and 4.2.7) but today it just works as expected.

I'm still having this issue bug #1250213 but don't expect it is related.
Comment 4 Benjamin Tissoires 2016-01-04 03:36:36 EST
Piotr, I'd like to close this bug if you still can't reproduce it. Could you confirm this?
Comment 5 Piotr Popieluch 2016-01-04 04:33:06 EST
I still cannot reproduce it anymore. This can be closed.

I really have no clue why this did happen before...
Comment 6 Benjamin Tissoires 2016-01-04 04:44:58 EST
Thanks for the quick test.

Closing now

Note You need to log in before you can comment on or make changes to this bug.